Package com.taosdata.jdbc.utils

## Class SqlSyntaxValidator

- java.lang.Object
- - com.taosdata.jdbc.utils.SqlSyntaxValidator

    public class SqlSyntaxValidator
    extends Object

### Constructor Summary

Constructors
`SqlSyntaxValidator​(Connection connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `validateSqlSyntax​(String sql)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlSyntaxValidator

    public SqlSyntaxValidator​(Connection connection)

### Method Detail

#### validateSqlSyntax

    public boolean validateSqlSyntax​(String sql)
                              throws SQLException

Throws:
  `SQLException`